Open CASCADE Technology: Poly Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
Poly Class Reference

This package provides classes and services to handle : More...

`#include <Poly.hxx>`

## Static Public Member Functions
static Handle< Poly_Triangulation > | Catenate (const Poly_ListOfTriangulation &lstTri)
| Computes and stores the link from nodes to triangles and from triangles to neighbouring triangles. This tool is obsolete, replaced by Poly_CoherentTriangulation Algorithm to make minimal loops in a graph Join several triangulations to one new triangulation object. The new triangulation is just a mechanical sum of input triangulations, without node sharing. UV coordinates are dropped in the result. More...
static void | Write (const Handle< Poly_Triangulation > &T, Standard_OStream &OS, const Standard_Boolean Compact=Standard_True)
| Writes the content of the triangulation <T> on the stream <OS>. If <Compact> is true this is a "save" format intended to be read back with the Read method. If compact is False it is a "Dump" format intended to be informative. More...
static void | Write (const Handle< Poly_Polygon3D > &P, Standard_OStream &OS, const Standard_Boolean Compact=Standard_True)
| Writes the content of the 3D polygon. More...
static void | Write (const Handle< Poly_Polygon2D > &P, Standard_OStream &OS, const Standard_Boolean Compact=Standard_True)
| Writes the content of the 2D polygon. More...
static void | Dump (const Handle< Poly_Triangulation > &T, Standard_OStream &OS)
| Dumps the triangulation. This is a call to the previous method with Comapct set to False. More...
static void | Dump (const Handle< Poly_Polygon3D > &P, Standard_OStream &OS)
| Dumps the 3D polygon. This is a call to the previous method with Comapct set to False. More...
static void | Dump (const Handle< Poly_Polygon2D > &P, Standard_OStream &OS)
| Dumps the 2D polygon. This is a call to the previous method with Comapct set to False. More...
static Handle< Poly_Triangulation > | ReadTriangulation (Standard_IStream &IS)
| Reads a triangulation from the stream <IS>. More...
static Handle< Poly_Polygon3D > | ReadPolygon3D (Standard_IStream &IS)
| Reads a 3d polygon from the stream <IS>. More...
static Handle< Poly_Polygon2D > | ReadPolygon2D (Standard_IStream &IS)
| Reads a 2D polygon from the stream <IS>. More...
static void | ComputeNormals (const Handle< Poly_Triangulation > &Tri)
| Compute node normals for face triangulation as mean normal of surrounding triangles. More...
static Standard_Real | PointOnTriangle (const gp_XY &P1, const gp_XY &P2, const gp_XY &P3, const gp_XY &P, gp_XY &UV)
| Computes parameters of the point P on triangle defined by points P1, P2, and P3, in 2d. The parameters U and V are defined so that P = P1 + U * (P2 - P1) + V * (P3 - P1), with U >= 0, V >= 0, U + V <= 1. If P is located outside of triangle, or triangle is degenerated, the returned parameters correspond to closest point, and returned value is square of the distance from original point to triangle (0 if point is inside). More...

## Detailed Description

This package provides classes and services to handle :

- 3D triangular polyhedrons.
- 3D polygons.
- 2D polygon.
- Tools to dump, save and restore those objects.

## Member Function Documentation

static Handle< Poly_Triangulation > Poly::Catenate | ( | const Poly_ListOfTriangulation & | lstTri | ) |
| static

Computes and stores the link from nodes to triangles and from triangles to neighbouring triangles. This tool is obsolete, replaced by Poly_CoherentTriangulation Algorithm to make minimal loops in a graph Join several triangulations to one new triangulation object. The new triangulation is just a mechanical sum of input triangulations, without node sharing. UV coordinates are dropped in the result.

static void Poly::ComputeNormals | ( | const Handle< Poly_Triangulation > & | Tri | ) |
| static

Compute node normals for face triangulation as mean normal of surrounding triangles.

static void Poly::Dump | ( | const Handle< Poly_Triangulation > & | T,
|  | Standard_OStream & | OS
| ) |  |
| static

Dumps the triangulation. This is a call to the previous method with Comapct set to False.

static void Poly::Dump | ( | const Handle< Poly_Polygon3D > & | P,
|  | Standard_OStream & | OS
| ) |  |
| static

Dumps the 3D polygon. This is a call to the previous method with Comapct set to False.

static void Poly::Dump | ( | const Handle< Poly_Polygon2D > & | P,
|  | Standard_OStream & | OS
| ) |  |
| static

Dumps the 2D polygon. This is a call to the previous method with Comapct set to False.

static Standard_Real Poly::PointOnTriangle | ( | const gp_XY & | P1,
|  | const gp_XY & | P2,
|  | const gp_XY & | P3,
|  | const gp_XY & | P,
|  | gp_XY & | UV
| ) |  |
| static

Computes parameters of the point P on triangle defined by points P1, P2, and P3, in 2d. The parameters U and V are defined so that P = P1 + U * (P2 - P1) + V * (P3 - P1), with U >= 0, V >= 0, U + V <= 1. If P is located outside of triangle, or triangle is degenerated, the returned parameters correspond to closest point, and returned value is square of the distance from original point to triangle (0 if point is inside).

static Handle< Poly_Polygon2D > Poly::ReadPolygon2D | ( | Standard_IStream & | IS | ) |
| static

Reads a 2D polygon from the stream <IS>.

static Handle< Poly_Polygon3D > Poly::ReadPolygon3D | ( | Standard_IStream & | IS | ) |
| static

Reads a 3d polygon from the stream <IS>.

static Handle< Poly_Triangulation > Poly::ReadTriangulation | ( | Standard_IStream & | IS | ) |
| static

Reads a triangulation from the stream <IS>.

static void Poly::Write | ( | const Handle< Poly_Triangulation > & | T,
|  | Standard_OStream & | OS,
|  | const Standard_Boolean | Compact = `Standard_True`
| ) |  |
| static

Writes the content of the triangulation <T> on the stream <OS>. If <Compact> is true this is a "save" format intended to be read back with the Read method. If compact is False it is a "Dump" format intended to be informative.

static void Poly::Write | ( | const Handle< Poly_Polygon3D > & | P,
|  | Standard_OStream & | OS,
|  | const Standard_Boolean | Compact = `Standard_True`
| ) |  |
| static

Writes the content of the 3D polygon.

on the stream <OS>. If <Compact> is true this is a "save" format intended to be read back with the Read method. If compact is False it is a "Dump" format intended to be informative.

static void Poly::Write | ( | const Handle< Poly_Polygon2D > & | P,
|  | Standard_OStream & | OS,
|  | const Standard_Boolean | Compact = `Standard_True`
| ) |  |
| static

Writes the content of the 2D polygon.

on the stream <OS>. If <Compact> is true this is a "save" format intended to be read back with the Read method. If compact is False it is a "Dump" format intended to be informative.

The documentation for this class was generated from the following file:

- Poly.hxx